import io
from pathlib import Path
import time

import whisper

from mon.config import Metric

kDB_ROOT = Path('/tmp/mon_db/')

kDB_ROOT.mkdir(parents=True, exist_ok=True)
assert kDB_ROOT.is_dir()

def path(metric):
    return kDB_ROOT / metric.name

# Fetches the latest data with a default interval
# of one hour ago to now.
def format_tsv(metric):
    now = int(time.time())
    start_time = now - 60 * 60
    data = whisper.fetch(path(metric), start_time, now)
    (start, end, step), values = data
    result = io.StringIO()
    result.write('timestamp\tvalue\n')
    t = start
    for v in values:
        result.write(f'{t}\t{v}\n')
        t += step
    return result.getvalue()

def record(metric_config, timestamp, value):
    whisper.update(path(metric_config), value, timestamp)
