# Utilities to prepare the database for first use

import time

import whisper

from mon.config import Metric
import mon.db

kHOUR_SEC = 60 * 60

# For each metric, assert that a whisper archive exists.
def check_exists():
    for m in Metric:
        whisper.info(mon.db.path(m))

# Whisper is a fixed-size database.
# Take the collection interval and multiply it by one hour,
# to get the number of points.
def create():
    for m in Metric:
        num_points = kHOUR_SEC * m.interval_sec
        whisper.create(mon.db.path(m), [(m.interval_sec, num_points)])

create()
check_exists()
