import os
import random
import sys
import time

import requests

from mon.config import Metric

def main(metric_config, backend):
    print(f'Monitor main for {metric_config.name}')
    print(f'Reporting interval is {metric_config.interval_sec}s')
    url = f'http://{backend[0]}:{backend[1]}/collect/{metric_config.name}'
    print(f'Backend is {url}')
    value = 50
    while True:
        time.sleep(metric_config.interval_sec)
        value += random.uniform(-1, 1)
        if value < 0:
            value = 0
        if value > 100:
            value = 100
        data = {}
        data['value'] = value
        data['timestamp'] = int(time.time())
        requests.post(url, data=data)

if __name__ == '__main__':
    backend = (os.environ['MON_SERVICE_HOST'], os.environ['MON_SERVICE_PORT'])
    metric_name = os.environ['MON_CLIENT_METRIC']
    metric_config = Metric[metric_name]
    main(metric_config, backend)
